# coding: utf-8

lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "rubopirate/version"

Gem::Specification.new do |spec|
  spec.name          = "rubopirate"
  spec.version       = RuboPirate::VERSION
  spec.authors       = ["Brandon Beeks"]
  spec.email         = ["brandonb@ixn.tech"]

  spec.summary       = "Wrapper for IXN specific RuboCop settings."
  spec.description   = "Wrapper for IXN specific RuboCop settings for managing custom settings across many projects."
  spec.homepage      = "https://github.com/ienetwork/rubopirate"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "bin"
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "rubocop", "~> 1.4"
  spec.add_dependency "rake"
end
